List Release Groups For Project

gethttps://app.fossa.com/api/v2/projects/{locator}/release-groups

Returns all of the release groups that this project is a part of.

Path parameters

locatorstringrequired

the url-encoded locator of the project

Responses

200OK
releaseGroupsobject[]
releaseGroupIdnumber
releaseGroupTitlestring
createdAtstring <date-time>

The timestamp when the release group was created

revisionsobject[]
revisionIdstring
releasesobject[]
releaseIdnumber
releaseTitlestring
404Project not found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/projects/%7Blocator%7D/release-groups
curl --request GET \  --url 'https://app.fossa.com/api/v2/projects/%7Blocator%7D/release-groups' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

the url-encoded locator of the project